
//Yellow Flame Side from taumafort_b2

textures/mr_sfx/flame
{
	surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm trans
		cull none
		//q3map_surfacelight 6500
		q3map_surfacelight 500
		qer_editorimage textures/mr_sfx/flame1.jpg

		{
			animMap 10 textures/mr_sfx/flame1.jpg textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg
				blendFunc GL_ONE GL_ONE
				rgbGen wave inverseSawtooth 0 1 0 10

		}
	{
		animMap 10 textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg textures/mr_sfx/flame1.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave sawtooth 0 1 0 10
	}

	{
		map textures/mr_sfx/flameball.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave sin .6 .2 0 .6
	}

}

textures/mr_sfx/flame_nolight
{
	surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm trans
		cull none
		qer_editorimage textures/mr_sfx/flame1.jpg

		{
			animMap 10 textures/mr_sfx/flame1.jpg textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg
				blendFunc GL_ONE GL_ONE
				rgbGen wave inverseSawtooth 0 1 0 10

		}
	{
		animMap 10 textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg textures/mr_sfx/flame1.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave sawtooth 0 1 0 10
	}

	{
		map textures/mr_sfx/flameball.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave sin .6 .2 0 .6
	}

}



// ===== LIQUIDS =====



textures/mr_sfx/blueslime
{
	qer_editorimage textures/liquids/blueslime.tga
		q3map_lightimage textures/liquids/blueslime.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/liquids/blueslimec.tga
				tcMod turb .3 .2 1 .05
				tcMod scroll .01 .01
		}

	{
		map textures/liquids/blueslime.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
	}


}

// textures/mr_sfx/blueslime_2000
// 	{
// 		qer_editorimage textures/liquids/blueslime.tga
// 		q3map_lightimage textures/liquids/blueslime.tga
// 		q3map_globaltexture
// 		qer_trans .5

// 		surfaceparm noimpact
// 		surfaceparm slime
// 		surfaceparm nolightmap
// 		surfaceparm trans

// 		q3map_surfacelight 2000
// 		tessSize 32
// 		cull disable

// 		deformVertexes wave 100 sin 0 1 .5 .5

// 		{
// 			map textures/liquids/blueslimec.tga
// 			tcMod turb .3 .2 1 .05
// 			tcMod scroll .01 .01
// 		}

// 		{
// 			map textures/liquids/blueslime.tga
// 			blendfunc GL_ONE GL_ONE
// 			tcMod turb .2 .1 1 .05
// 			tcMod scale .5 .5
// 			tcMod scroll .01 .01
// 		}

// 		{
// 			map textures/liquids/bubbles.tga
// 			blendfunc GL_ZERO GL_SRC_COLOR
// 			tcMod turb .2 .1 .1 .2
// 			tcMod scale .05 .05
// 			tcMod scroll .001 .001
// 		}


// }

textures/mr_sfx/blueslime_2000
{
	qer_editorimage	textures/liquids/blueslime
		sort banner
		qer_trans	0.8
		surfaceparm	nonsolid
		surfaceparm	nonopaque
		surfaceparm	slime
		surfaceparm	trans
		surfaceparm nolightmap
		q3map_material	Water
		q3map_surfacelight 2000
		tessSize	128
		cull disable
		deformvertexes normal 0.1 1.85
		deformvertexes wave 128 sin 0 1 0.3 0.2
		{
			map textures/liquids/blueslime.tga
				blendFunc GL_ONE GL_SRC_ALPHA
				rgbGen const ( 0.4 0.7 0.7 )
				alphaFunc GE128
				alphaGen const 1.0
				//tcmod scroll 0 -0.25
		}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			rgbGen const ( 0.4 0.3 0.3 )
			blendFunc GL_ONE GL_ONE
	}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mr_sfx/slime_2000
{
	qer_editorimage	textures/liquids/slime7
		sort banner
		qer_trans	0.8
		surfaceparm	nonsolid
		surfaceparm	nonopaque
		surfaceparm	slime
		surfaceparm	trans
		surfaceparm nolightmap
		q3map_material	Water
		q3map_surfacelight 2000
		tessSize	128
		deformvertexes normal 0.1 1.85
		deformvertexes wave 128 sin 0 1 0.3 0.5
		{
			map textures/liquids/slime7.tga
				blendFunc GL_ONE GL_SRC_ALPHA
				rgbGen const ( 0.4 0.9 0.5 )
				alphaFunc GE128
				alphaGen const 1.0
				tcmod scroll 0 -0.25
		}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			rgbGen const ( 0.4 0.3 0.3 )
			blendFunc GL_ONE GL_ONE
	}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
	}
}



// ======== LIGHTS =========



// ======== PLANTS =========

//models/mapobjects/multiplant/batleaf_w
textures/mr_sfx/batleaf_w
{
	cull none
		deformVertexes wave 150 sin 0 1 0 .3
		surfaceparm alphashadow
		surfaceparm pointlight
		surfaceparm trans

		qer_editorImage models/mapobjects/multiplant/batleaf.tga
		qer_alphaFunc gequal 0.5

		{
			map models/mapobjects/multiplant/batleaf.tga
				rgbGen vertex
				alphaGen const 1.0
				//	rgbGen exactVertex
				alphaFunc GE128
				depthWrite
		}
}



// ========= METAL =========



textures/mr_fence/mr_fencetrans
{
	qer_editorimage textures/mr_fence/mr_fence01.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		cull none
		{
			map textures/mr_fence/mr_fence01.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_fence/mr_fencethick
{
	qer_editorimage textures/mr_fence/mr_fence02.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		polygonoffset
		cull none
		{
			map textures/mr_fence/mr_fence02.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_metal/mr_metalholeplain
{
	qer_editorimage textures/mr_metal/mr_metalholes.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		cull none
		{
			map textures/mr_metal/mr_metalholes.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_metal/mr_metalholeside
{
	qer_editorimage textures/mr_metal/mr_metalholes_sideend.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		cull none
		{
			map textures/mr_metal/mr_metalholes_sideend.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_metal/mr_metalholestop
{
	qer_editorimage textures/mr_metal/mr_metalholes_topend.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		cull none
		{
			map textures/mr_metal/mr_metalholes_topend.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_metal/mr_gold
{
	qer_editorimage textures/mr_metal/mr_brass_scratch.jpg

	{
		map textures/mr_metal/mr_brass_scratch.jpg
			rgbGen identity
	}
	{
		map textures/mr_sfx/mr_brass_fx.tga
			rgbGen identity
			tcGen environment
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen const ( 0.8 0.8 0.3 )
	}
	{
		map $lightmap
			blendfunc filter
			rgbgen identity
	}
}

textures/mr_metal/mr_tin_rail
{
	qer_editorimage textures/mr_metal/mr_metalbrushed03.jpg

	{
		map textures/mr_metal/mr_metalbrushed03.jpg
			rgbGen identity
			rgbgen const ( 0.5 0.5 0.5 )
	}

	{
		map textures/mr_sfx/mr_tin_fx.tga
			rgbGen identity
			tcGen environment
			blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
			blendfunc filter
			rgbgen identity
	}
}

textures/mr_metal/mr_gold_rail
{
	qer_editorimage textures/mr_metal/mr_metalbrushed04.jpg
	q3map_shadeangle 60
	{
		map textures/mr_metal/mr_metalbrushed04.jpg
			rgbGen identity
			rgbgen const ( 0.5 0.5 0.5 )
	}

	{
		map textures/mr_sfx/mr_gold_fx.tga
			rgbGen identity
			tcGen environment
			blendFunc GL_ONE GL_ONE
			//alphaFunc GE128
	}
	{
		map $lightmap
			blendfunc filter
			rgbgen identity
	}
}

textures/mr_metal/mr_copper_rail
{
	qer_editorimage textures/mr_metal/mr_metalbrushed05.jpg

	{
		map textures/mr_metal/mr_metalbrushed05.jpg
			rgbGen identity
			rgbgen const ( 0.5 0.5 0.5 )
	}

	{
		map textures/mr_sfx/mr_copper_fx.tga
			rgbGen identity
			tcGen environment
			blendFunc GL_ONE GL_ONE
			//alphaFunc GE128
	}
	{
		map $lightmap
			blendfunc filter
			rgbgen identity
	}
}

textures/mr_lights/mr_lightinside_s
{
	qer_editorimage	textures/mr_lights/mr_lightinside.jpg

	{
		map textures/mr_lights/mr_lightinside.jpg
	}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			rgbGen const ( 0.4 0.3 0.3 )
			blendFunc GL_ONE GL_ONE
	}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
	}
}




// ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ //

// 		  MR DECALS		   //

// ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ //




textures/mr_decals/mr_wall0
{
	qer_editorimage textures/mr_decals/mr_indust_0.tga
		surfaceparm	trans
		surfaceparm nonsolid
		polygonOffset
		nopicmip
		{
			map textures/mr_decals/mr_indust_0.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_decals/mr_wall1
{
	qer_editorimage textures/mr_decals/mr_indust_1.jpg
		surfaceparm	trans
		surfaceparm nonsolid
		surfaceparm nomarks
		polygonOffset
		nopicmip
		{
			map textures/mr_decals/mr_indust_1.jpg
				blendfunc gl_dst_color gl_src_color
		}
}

textures/mr_decals/mr_leaking_large1
{
	qer_editorimage textures/mr_decals/mr_leaking_large1.jpg
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks
		polygonOffset
		nopicmip
		{
			map textures/mr_decals/mr_leaking_large1.jpg
				blendfunc gl_dst_color gl_src_color
		}
}


textures/mr_decals/b_marking_1
{
	qer_editorimage textures/mr_decals/pxl_b_o.tga
		q3map_bouncescale 0
		//surfaceparm trans
		//surfaceparm detail
		surfaceparm nonsolid
		//surfaceparm nomarks
		polygonOffset
		cull disable
		//nopicmip
		{
			map textures/mr_decals/pxl_b_o.tga
				blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_SRC_COLOR
			//blendFunc GL_ZERO GL_ONE //bright B
			depthFunc equal
			rgbGen identity
	}
}



// STEALING $Null'S BOMB SPOTS //
// and making my own //

textures/mr_sfx/bomb_a
{
	qer_editorimage textures/mr_sfx/bombspot_a.tga
		surfaceparm trans
		surfaceparm nolightmap
		surfaceparm nonsolid
		//surfaceparm nomarks
		polygonOffset
		{
			clampmap textures/mr_sfx/bombspot_a.tga
				tcMod stretch sin 0.9 0.31 0.3 1.06
				//tcMod rotate 30
				//alphagen wave sin 1.2 1 0 1.06
				blendfunc blend
		}
}

textures/mr_sfx/bomb_b
{
	qer_editorimage textures/mr_sfx/bombspot_b.tga
		surfaceparm trans
		surfaceparm nolightmap
		surfaceparm nonsolid
		//surfaceparm nomarks
		polygonOffset
		{
			clampmap textures/mr_sfx/bombspot_b.tga
				tcMod stretch sin 0.9 0.31 0.3 1.06
				//tcMod rotate 30
				//alphagen wave sin 1.2 1 0 1.06
				blendfunc blend
		}
}

// BOMBSPOT SPRAYS

textures/mr_decals/a_arrow
{
	qer_alphaFunc gequal 0.5
		q3map_lightsubdivide 32
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_decals/mr_spray_a_arrow_h.tga

		{
			map textures/mr_decals/mr_spray_a_arrow_h
				blendfunc blend
				//		depthwrite
				//		rgbGen identity
		}
	//	{
	//		map $lightmap
	//		blendFunc GL_DST_COLOR GL_SRC_COLOR
	//		depthFunc equal
	//		rgbGen identity
	//	}
}

textures/mr_decals/b_arrow
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_radiant/mr_spray_b_arrow_h

		{
			map textures/mr_decals/mr_spray_b_arrow_h
				blendfunc blend
				//		depthwrite
				//		rgbGen identity
		}
	//	{
	//		map $lightmap
	//		blendFunc GL_DST_COLOR GL_SRC_COLOR
	//		depthFunc equal
	//		rgbGen identity
	//	}
}

textures/mr_decals/arrows_drip
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_radiant/mr_spray_arrows_drip

		{
			map textures/mr_decals/mr_spray_arrows_drip
				blendfunc blend
		}
}

textures/mr_decals/x_marker
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_radiant/mr_spray_x_drip

		{
			map textures/mr_decals/mr_spray_x
				blendfunc blend
		}
}

// FUNKY BOMBSPOT SPRAY MARKER

textures/mr_sfx/x_green_glow
{
	surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		qer_editorimage textures/mr_sfx/x_spray_gn.tga

		{
			map textures/mr_sfx/x_spray_gn.tga
				blendFunc blend
				rgbGen wave sin 0.7 0.3 0 0.265
		}

}

//======================//

//	 	MR LIGHTS 		//

//======================//


textures/mr_panels/bomb_a_right
{
	qer_editorimage	textures/mr_panels/marker_a_right
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_a_right
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}


textures/mr_panels/bomb_a_left
{
	qer_editorimage	textures/mr_panels/marker_a_left
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_a_left
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_panels/bomb_a_spot
{
	qer_editorimage	textures/mr_panels/marker_a_spot
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_a_spot
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_panels/bomb_b_right
{
	qer_editorimage	textures/mr_panels/marker_b_right
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_b_right
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}


textures/mr_panels/bomb_b_left
{
	qer_editorimage	textures/mr_panels/marker_b_left
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_b_left
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_panels/bomb_b_spot
{
	qer_editorimage	textures/mr_panels/marker_b_spot
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_b_spot
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_panels/bomb_a_signs
{
	qer_editorimage	textures/mr_panels/signs_a_s
		q3map_surfacelight 800
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/signs_a_s
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_panels/bomb_b_signs
{
	qer_editorimage	textures/mr_panels/signs_b_s
		q3map_surfacelight 800
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/signs_b_s
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/wht_light_2000
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 2000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/wht_light_1000
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 1000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/wht_light_500
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 500 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/wht_light_200
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 200
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/ylw_light
{
	qer_editorimage	textures/ylw
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/0mryeah/ylw
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/blu_light
{
	qer_editorimage	textures/bbl
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/0mryeah/bbl
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/cya_light
{
	qer_editorimage	textures/cya
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/0mryeah/cya
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/grn_light
{
	qer_editorimage	textures/bgn
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/0mryeah/bgn
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/mgt_light
{
	qer_editorimage	textures/mgt
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/0mryeah/mgt
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/red_light
{
	qer_editorimage	textures/brd
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/0mryeah/brd
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/ppl_light
{
	qer_editorimage	textures/ppl
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/0mryeah/ppl
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/org_light
{
	qer_editorimage	textures/org
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/0mryeah/org
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/mr_lightbeam
{
	qer_editorimage textures/sfx/mr_beam2.jpg
		surfaceparm	trans
		surfaceparm nolightmap
		surfaceparm nomarks
		surfaceparm nonsolid
		nopicmip
		{
			map textures/sfx/mr_beam0.jpg
				blendfunc gl_dst_color gl_src_color
		}
}

textures/7th_clash/lightbeam
{
	surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm trans
		cull disable
		q3map_surfacelight 2000
		{
			map textures/7th_clash/lightbeam.tga
				blendfunc add
				rgbGen const ( 1 0.501961 0 )
				tcMod scroll 2 0
		}
}

textures/mr_sfx/neon_300
{
	qer_editorimage	textures/0mryeah/128/red
		surfaceparm nolightmap
		q3map_surfacelight 300

		{
			map textures/0mryeah/128/red
		}
}

textures/mr_sfx/red128_noshadow
{
	qer_editorimage	textures/0mryeah/128/red128
		surfaceparm nolightmap

		{
			map textures/0mryeah/128/red128
		}
}

textures/mr_sfx/wht_bright
{
	qer_editorimage	textures/wht
		surfaceparm nolightmap

		{
			map textures/wht.jpg
		}
}




///////////////////////
//		industoc     //
///////////////////////



textures/indust_sfx/metb_light1
{
	qer_editorimage textures/indust_base1/metb_light1.tga
		q3map_lightimage textures/indust_base1/metb_light1_blend.tga
		q3map_surfacelight 300
		q3map_lightmapFilterRadius self 16 //mryeah
		surfaceparm nomarks
		{
			map textures/indust_base1/metb_light1.tga
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
	{
		map textures/industbase1/metb_light1_blend.tga
			blendfunc GL_ONE GL_ONE
	}
}

textures/indust_sfx/metb_light2
{
	qer_editorimage textures/indust_base1/metb_light2.tga
		q3map_lightimage textures/indust_base1/metb_light2_blend.tga
		q3map_surfacelight 300
		q3map_lightmapFilterRadius self 16 //mryeah
		surfaceparm nomarks
		{
			map textures/indust_base1/metb_light2.tga
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
	{
		map textures/indust_base1/metb_light2_blend.tga
			blendfunc GL_ONE GL_ONE
	}
}

textures/indust_sfx/metb_light3
{
	qer_editorimage textures/indust_base1/metb_light3.tga
		q3map_lightimage textures/indust_base1/metb_light3_blend.tga
		q3map_surfacelight 300
		q3map_lightmapFilterRadius self 16 //mryeah
		surfaceparm nomarks
		{
			map textures/indust_base1/metb_light3.tga
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
	{
		map textures/indust_base1/metb_light3_blend.tga
			blendfunc GL_ONE GL_ONE
	}
}

///////////////////////
//	   mr_lights     //
///////////////////////

textures/mr_sfx/mr_industlight01
{
	qer_editorimage textures/mr_lights/mr_light01.jpg
		q3map_lightimage textures/mr_lights/mr_light01_blend.jpg
		q3map_surfacelight 300
		//q3map_lightmapFilterRadius self 16 //mryeah
		surfaceparm nomarks
		{
			map textures/mr_lights/mr_light01.jpg
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
	{
		map textures/mr_lights/mr_light01_blend.jpg
			blendfunc GL_ONE GL_ONE
	}
}

// MR GLASS //

textures/mr_sfx/smoked_glass
{
        qer_editorimage textures/mr_dev/cld_alpha_black
        qer_trans 0.50
        surfaceparm nolightmap
		surfaceparm nodlight
        surfaceparm trans
        cull none
        polygonoffset
        {
                map textures/mr_dev/cld_alpha_black
                blendfunc filter
				rgbGen identity
        }
    //     {
    //             map textures/mr_dev/cld_env
    //             blendfunc add
    //             //rgbGen identity
    //             //alphagen const 0.35
				// rgbgen const ( 0.3 0.3 0.3 )
    //             tcGen environment
    //     }
}

// MR DEV //


textures/mr_dev/pxl_tile_white_nomarks
{
	qer_editorimage textures/mr_dev/pxl_tile_white
		surfaceparm nomarks
		{
			map textures/mr_dev/pxl_tile_white
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_dev/pxl_fabric
{
	qer_editorimage textures/mr_dev/pxl_tile_yellow
		surfaceparm nonsolid
		surfaceparm playerclip
		surfaceparm lightfilter
		surfaceparm trans
		cull none
		{
			map textures/mr_dev/pxl_tile_yellow
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_dev/pxl_metal
{
	qer_editorimage textures/mr_dev/pxl_tile_lightgrey
		surfaceparm metalstep
		{
			map textures/mr_dev/pxl_tile_lightgrey
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
